
# The script assumes that the Objects sample data set has been installed in the "Documents/BVSampleData/RawData" folder

ObjectsRawDataPath = BrainVoyager.PathToSampleData + "ObjectsDicomGSG/RawData/";
ObjectsFirstVMRFile = ObjectsRawDataPath + "BetSog_20040312_Goebel_C2 -0002-0001-00001.dcm"
print(ObjectsFirstVMRFile)

docVMR = BrainVoyager.CreateDocumentVMR("DICOM", ObjectsFirstVMRFile, 192, False, 256, 256, 2)
docVMR.SaveAs("CG_3DT1MPR_FromScript.vmr")  # saves in current folder, use file path to store elsewhere

# docVMR.Close()   # close when batch processing many files, skip for further processing

