
doc = BrainVoyager.ActiveDocument

data_folder = '/Users/rainer/Documents/BVSampleData/Exercise_RFX-ANOVA/' 

doc.LoadMultiStudyGLMDefinitionFile(data_folder + 'AllSubjects_FFX.mdm')
doc.CorrectForSerialCorrelations = 2 # 1 -> AR(1), 2 -> AR(2)
doc.PSCTransformStudies = False
doc.ZTransformStudies = True
doc.ZTransformStudiesBaselineOnly = False
doc.SeparationOfSubjectPredictors = False
doc.SeparationOfStudyPredictors = False
doc.ComputeMultiStudyGLM()
doc.SaveGLM(data_folder + 'AllSubjects_FFX_ztrf_AR2.glm')
doc.ShowGLM()
