doc = BrainVoyager.ActiveDocument    # A VMR must be the current document 

# load volume maps with BV GUI or via script commands
vmp_filename = BrainVoyager.BrowseFile("Select VMP File", "*.vmp")
doc.LoadVolumeMaps(vmp_filename)

n_vmps = doc.NrOfVolumeMaps          # get number of volume maps
print "No. of volume maps: " + str(n_vmps)

doc.HideVolumeMapsDlg()              # hide volume maps dialog

for l in range(10):                  # run 10 times through available maps
    for i in range(1, n_vmps+1):
        print doc.GetNameOfVolumeMap(i)
        doc.ShowVolumeMap(i)

# doc.ShowVolumeMapsDlg()            # show volume maps dialog
