
// A very simple script

var bv = BrainVoyager; // simplify access to BrainVoyager API

bv.PrintToLog("");
bv.PrintToLog("Starting script \"DoucmentAccess.js\"");
bv.PrintToLog("Current directory: " + bv.CurrentDirectory);

var pn = bv.PrintToLog; // let's use an abbreviation for Log pane output command
pn("TEST");

function CheckDocs()
{
	var docs = bv.Documents;
	var n_docs = docs.Count();

	pn("Nr of available documents: " + n_docs);

	if(n_docs == 0)
		return;

	for(var i=0; i<n_docs; i++)
	{
		var doc = docs.Item(i);

		pn("Document " + ( i+1) + ":");

		pn("  Dim X: " + doc.DimX);
		pn("  Dim Y: " + doc.DimY);
		pn("  Dim Z: " + doc.DimZ);
	}
}

function ProcessActiveDoc()
{
	// get "active document"
	var actdoc = bv.ActiveDocument;
	if(actdoc == null)
		return;

	// Do something with "actdoc", e.g. preprocessing... (see script "Preprocessing.js")
	pn(" Active Document - Dim X: " + actdoc.DimX + "  Dim Y: " + actdoc.DimY + "  DimZ: " + actdoc.DimZ);
}

CheckDocs();
ProcessActiveDoc();
