import PythonQt.Qt as qt

def createDialog():
    dlg = qt.QDialog()
    dlg.windowTitle = 'A Dialog'
    box1  = qt.QVBoxLayout(dlg)
    group = qt.QGroupBox(dlg)
    box1.addWidget(group)
    box2  = qt.QVBoxLayout(group)
    push1 = qt.QPushButton(group)
    push1.objectName = 'pushMe' # name it so that we can dlg.findChild it
    box2.addWidget(push1)
    push2 = qt.QPushButton(group)
    box2.addWidget(push2)
    check = qt.QCheckBox(group)
    box2.addWidget(check)
    check.text  = 'Check Me'
    group.title = 'Group Box'
    push1.text  = 'Press Me'
    push2.text  = 'Quit'
    push1.connect('clicked(bool)', changeButtonText)
    push2.connect('clicked(bool)', dlg.done)
    return dlg

def changeButtonText():
    pushMeBtn = newDlg.findChild(qt.QPushButton, 'pushMe')
    if(pushMeBtn != None):
        pushMeBtn.text = 'Thank You!'

newDlg = createDialog()
newDlg.show()
