doc = BrainVoyager.ActiveDocument     # A VMR must be the current document 
mesh = doc.CurrentMesh                # A mesh must be available

# load surface maps with BV GUI or via script commands
#smp_filename = BrainVoyager.BrowseFile("Select SMP File", "*.smp")
#mesh.LoadSurfaceMaps(smp_filename)

n_smps = mesh.NrOfSurfaceMaps         # get number of surface maps
print "No. of surface maps: " + str(n_smps)

# scene.HideSurfaceMapsDlg()             # hide surface maps dialog

for l in range(10):                  # run 10 times through available maps
    for i in range(1, n_smps+1):
        print mesh.GetNameOfSurfaceMap(i)
        mesh.ShowSurfaceMap(i)

# scene.ShowSurfaceMapsDlg()            # show surface maps dialog
