
var ObjectsRawDataPath = BrainVoyager.PathToSampleData + "ObjectsDicomGSG/";

function CreateVMR()
{
      var docVMR = BrainVoyager.CreateProjectVMR( "DICOM", ObjectsRawDataPath + "RawData/BetSog_20040312_Goebel_C2 -0002-0001-00001.dcm", 192, false, 256, 256, 2 );
      docVMR.SaveAs( ObjectsRawDataPath + "CG_3DT1MPR_SCRIPT.vmr" );
}

function IIHC()
{
	var ok;
	var docVMR = BrainVoyager.ActiveDocument;
	docVMR.CorrectIntensityInhomogeneities();
}

function AutoACPCAndTAL()
{
	var ok;
	var docVMR = BrainVoyager.ActiveDocument;
	docVMR.AutoACPCAndTALTransformation();
}

CreateVMR();
IIHC();
AutoACPCAndTAL();