// Please note the the "BrainVoyagerQX" object has been renamed as "BrainVoyager", which should be used in new scripts
// For the 20.x releases, "BrainVoyagerQX" can still be used, but it will be removed in version 21.0.
//
// Note also that the "CreateProjectFMR/DMR/VMR/AMR" commands have been renamed to "CreateDocumentFMR/DMR/VMR/AMR" to be
// consistent with the terminology used in the data analysis manager and now generally in BrainVoyager.
// For the 20.x releases, the "CreateProject.." names can still be used, but they will be removed in version 21.0.
//
// It is now possible to script FMR-VMR coregistration (CoregisterFMRToVMR and CoregisterFMRToVMRUsingBBR), to perform
// anatomical (VMR) MNI normalization (NormalizeToMNISpace) and to create VTCs in MNI space (docVMR.CreateVTCInMNISpace)
// For details check the scripting guide.
//
// The command "AnonymizeDICOMFiles(directory, patientNameString)" can be used to change the name of a patient
// (participant) in the respective DICOM files. The DICOM files in the folder will also be renamed in the
// same way as when running the "RenameDICOMFiles" command using the provided patient naame also for renaming
// the files. Note that the anonymization command does not (yet) change other patient data such as birthday.
//
// Rainer Goebel 2017

ObjectsRawDataPath = BrainVoyager.PathToSampleData + "ObjectsDicomGSG/";

BrainVoyager.AnonymizeDicomFilesInDirectory(ObjectsRawDataPath, "P7");
